Đến nội dung


Hình ảnh
- - - - -

Cần xin Lisp ẩn và hiện tất cả các layer!!!


  • Please log in to reply
8 replies to this topic

#1 chatter

chatter

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 March 2008 - 12:13 AM

Em đang rất cần Lisp ẩn và hiện tất cả các Layer của bản vẻ. Rất mong các anh share dùm cho
  • 0

#2 be_chanh

be_chanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1712 Bài viết
Điểm đánh giá: 889 (rất tốt)

Đã gửi 29 March 2008 - 12:28 AM

không hiểu ẩn các layer để làm gì nhỉ ? vì ẩn hết rồi thì vẽ cái gì nữa. còn nếu ẩn 1 phần thì dùng express là đủ mà bạn
  • 0

t: 097.323.1199 | m: cudstk@gmail.com | w: http://www.aicollect.com


#3 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 29 March 2008 - 07:26 AM

Em đang rất cần Lisp ẩn và hiện tất cả các Layer của bản vẻ. Rất mong các anh share dùm cho

Ô thế vẫn chưa biết lệnh layon , layoff, layiso của cad à. Chán thế. Mà ẩn tất cả các layer của bản vẽ đi để làm j nhỉ. :bigsmile:
  • 0

#4 chatter

chatter

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 29 March 2008 - 08:53 AM

ah.ý mình là layer hiện hành vẩn hiện.khi dung lisp nay thi các layer đã gán sẽ ẩn hoặc hiện để ta bít được chổ nào chưa gán layer?????
  • 0

#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 29 March 2008 - 09:05 AM

ah.ý mình là layer hiện hành vẩn hiện.khi dung lisp nay thi các layer đã gán sẽ ẩn hoặc hiện để ta bít được chổ nào chưa gán layer?????

Nói chung ban diển tả quá khó hiểu.
Bạn nghiên cứu LMAN xem sao:
cái này lưu các trạng thái hiển thị layer tại thời điểm gọi lệnh, lưu lại dưới 1 tên và gọi lại sau đó.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#6 dotranduy

dotranduy

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 29 March 2008 - 12:11 PM

Trong cad 07 có cái Layer iso , layon, layoff. Khi cài bạn cái cả Express Tool. Sau khi cài xong , gán phím tắt cho các lệnh này bằng cách : Vào Express => Tool => Command Alias Editor sau đó hiện ra 1 box thì chọn ADD. Sau đó hiện ra 1 box tiếp. Dòng trên bạn gõ lệnh tắt ( ví dụ 1 là Layiso, 2 là Layon, 3 layoff ). Dòng dưới bạn điện lệnh autocad vào là Layiso, layon, layoff.
Sau muốn giữ lại 1 layer thì dùng Layiso ( phím tắt đặt là 1 ), chọn layer cần giữ rùi Enter, sau muốn bật lên thì dùng Layon - Enter..
  • 0

#7 trinh8306

trinh8306

    Chưa sử dụng CAD

  • Members
  • Pip
  • 3 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 April 2008 - 10:27 AM

Em đang rất cần Lisp ẩn và hiện tất cả các Layer của bản vẻ. Rất mong các anh share dùm cho


Từ cad 2004 trở lên có thêm cái phần Express Tools, trong này có mấy lệnh bạn cần
- Layiso: Dùng để tắt tất cả các layer trừ những layer được chọn
- Layoff: Tắt 1, 1 vài layer khi được chọn
- Layon: Hiện tất cả các layer

Không có lệnh tắt cho mấy thằng này, tuy nhiên ta nên đặt lệnh tắt. Chỗ mình làm bọn mình thống nhất đặt tắt IO - Layiso, OF - Layoff, ON - Layon, bạn tham khảo xem, khá là tiện đấy!
I'm GTCC42 - ĐHGT
  • 0

#8 votthanhtuan

votthanhtuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 May 2015 - 10:59 PM

như mình dùng ad 2002 muốn tạo layon hoặc layoff thì phải làm sao


  • 0

#9 quocmanh04tt

quocmanh04tt

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 673 Bài viết
Điểm đánh giá: 315 (khá)

Đã gửi 31 May 2015 - 04:45 PM

Bạn thử xem sao:

(defun c:layon ()

(vlax-for each (vla-get-layers (vla-get-activedocument (vlax-get-acad-object)))
(vla-put-layeron each :vlax-true))
(princ))
(defun c:layoff (/ ss i)
(if (setq ss (ssget))
(repeat (setq i (sslength ss))
(vla-put-layeron (vlax-ename->vla-object
(tblobjname "LAYER" (vla-get-layer (vlax-ename->vla-object (ssname ss (setq i (1- i)))))))
:vlax-false)))
(princ))


  • 0